import React from 'react'
// import { PlusCircleOutlined } from '@ant-design/icons';
import { Form, Input, Space, Select, message, Checkbox } from 'antd';
import { getDebugTable } from './request';

export default class DatasourceNodeInfo extends React.Component<any, any> {
  
  formRef = React.createRef()

  constructor(props: any) {
    super(props)
    this.state = {
      debugTable: [],
      inputFields: []
    }
  }

  async componentDidMount(){
    const { data } = await getDebugTable({
      user_id: 'test',
      project_id: 'test'
    })
    if (data.code === 200) {
      data.data.push({
        id: 0,
        name: 'train'
      })
      data.data.push({
        id: 1,
        name: 'test'
      })
      this.setState({debugTable: data.data})
    } else {
      message.error('获取调试数据表失败')
    }
  }

  render() {
    return (
      <div className='node-datasource'>
        <Form
          ref={this.formRef as any}
          name="datasourceInfo"
          autoComplete="off"
          layout='vertical'
          initialValues={{
            inputDatasource: this.props.nodeInfo.inputSource,
            dataTable: this.props.nodeInfo.dataTableId,
            nodeName: this.props.nodeInfo.nodeName,
          }}
        >
          <Form.Item name='nodeName' label="节点名称:">
            <Input placeholder='请输入节点名称' onChange={(e) => {
              this.props.nodeInfo.nodeName = e.target.value
            }}/>
          </Form.Item>
          <p>添加调试数据表</p>
          <Form.Item name='dataTable' style={{width: '80%', marginTop: '5px'}}>
            <Select options={this.state.debugTable.map((item: any) => {
              return {label: item.name, value: item.id}
            })} placeholder='选择调试数据表'
            onSelect={(val: any, option: any) => {
              this.props.nodeInfo.dataTableId = val
              this.props.nodeInfo.dataTableName = option.label
              switch(val) {
                case 0:
                case 1:
                  this.props.nodeInfo.inputSource = [
                    {dataSelect: false, dataField:'uuid', dataType:'string'},
                    {dataSelect: false, dataField:'label', dataType:'int'},
                    {dataSelect: false, dataField: 'feature1',dataType: 'double',},
                    {dataSelect: false, dataField: 'feature2',dataType: 'double',},
                    {dataSelect: false, dataField: 'feature3',dataType: 'double',},
                    {dataSelect: false, dataField: 'feature4',dataType: 'double',},
                    {dataSelect: false, dataField: 'feature5',dataType: 'double',},
                    {dataSelect: false, dataField: 'feature6',dataType: 'double',},
                    {dataSelect: false, dataField: 'feature7',dataType: 'double',},
                    {dataSelect: false, dataField: 'feature8',dataType: 'double',},
                    {dataSelect: false, dataField: 'feature9',dataType: 'double',},
                  ]
                  break
                case 4:
                  this.props.nodeInfo.inputSource = [
                    {dataSelect: true, dataField: 'name', dataType: 'string'},
                    {dataSelect: true, dataField: 'address', dataType: 'string'},
                    {dataSelect: false, dataField: 'age', dataType: 'int'},
                  ]
                  break
                case 5:
                  this.props.nodeInfo.inputSource = [
                    {dataSelect: false, dataField: 'name', dataType: 'string'},
                    {dataSelect: true, dataField: 'address', dataType: 'string'},
                  ]
                  break
                case 6:
                  this.props.nodeInfo.inputSource = [
                    {dataSelect: true, dataField: 'name', dataType: 'string'},
                  ]
                  break
                case 7:
                  this.props.nodeInfo.inputSource = [
                    {dataSelect: false, dataField: 'name', dataType: 'string'},
                  ]
                  break
              }
              (this.formRef.current as any).setFieldsValue({
                inputDatasource: this.props.nodeInfo.inputSource
              })
            }}/>
          </Form.Item>
          <p>输入源:</p>
          <Form.List name="inputDatasource">
            {(fields, { add, remove }) => (
              <>
                {fields.map(({ key, name, ...restField }) => (
                  <Space key={key} style={{ display: 'flex', margin: '10px 0 -20px'}} align="baseline">
                    <Form.Item
                      {...restField}
                      name={[name, 'dataSelect']}
                      valuePropName="checked"
                    >
                      <Checkbox onChange={(e) => {
                        this.props.nodeInfo.inputSource = (this.formRef.current as any).getFieldsValue().inputDatasource
                      }}/>
                    </Form.Item>
                    <Form.Item
                      {...restField}
                      name={[name, 'dataField']}
                      rules={[{required: true, message: '请填写字段'}]}
                    >
                      <Input placeholder="字段名" disabled/>
                    </Form.Item>
                    <Form.Item
                      {...restField}
                      name={[name, 'dataType']}
                      rules={[{required: true, message: '请填写字段类型'}]}
                    >
                      <Select options={[
                        {label: 'string', value: 'string'},
                        {label: 'int', value: 'int'},
                        {label: 'text', value: 'text'},
                        {label: 'float', value: 'float'},
                        {label: 'double', value: 'double'},
                      ]} placeholder='请选择字段类型' disabled/>
                    </Form.Item>
                  </Space>
                ))}
                {/* <Form.Item>
                  <Button type="link" onClick={() => {
                    add()
                  }} icon={<PlusCircleOutlined />} style={{paddingLeft: 0, paddingRight: 0}}>
                    添加字段
                  </Button>
                </Form.Item> */}
              </>
            )}
          </Form.List>
        </Form>
      </div>
    )
  }
}