import axios from 'axios'

const request = axios.create({
  baseURL: 'http://192.168.199.107:18082',
  timeout: 1200000,
  headers: {
    'Content-Type': 'application/json;charset=UTF-8',
    Accept: 'application/json',
  }
})

// 获取调试数据表
export const getDebugTable = (params: any) => request({
  url: `/jpt/datamanagement`,
  method: 'get',
  params
})

// 获取中间数据列表
export const getIntermediate = (params: any) => request({
  url: `/jpt/intermediate/get_intermediate`,
  method: 'get',
  params
})

// 获取文件信息
export const getFileData = (params: any) => request({
  url: `/jpt/files`,
  method: 'get',
  params
})

// 代码校验
export const codeCheck = (params: any) => request({
  url: `/jpt/code_check`,
  method: 'post',
  params
})
